20@echo off
REM Batch file to copy NOAA CARIS support files to local drives.
REM Written June, 2009 - Kurt Brown
REM Updated March 2011 for new HSD standardized CARIS Support Files - cjb
REM Updated March 2011 for Version 4 and local installation - mpg
REM Updated April 2011 for Version 5 and local installation - mpg
REM updated April 2011 for Registry Edits - gdf
REM Updated June 2011 for Version 5.1 installation - mpg
REM Updated July 2011 for BDB 3.2. - mpg
REM Updated July 2011 to remove Symbolization Lookup command. - mpg
REM Updated February 2012 to add subcategories to asgnmt and sftype. - mpg
REM Updated March 2012 to add separate folders for each software install so we are not overwriting bathyextension and notebook pools and added HIPS. - mpg
REM New batch file for Win7.0.- mpg
REM Updated for NOAA Extended Attribute version 5.3. Added BDB 4.0. Plot composer to 64 bit folders. Added Symbolization files. - mpg
REM Updated for NOAA Extended Attribute version 5.3.1 - BDB: corrected regedit changes, Plot Composer: corrected syntax error, added GeoPDF Templates, changed registry catalog name, HIPS: changed registry catalog name.
REM Updated for NOAA Extended Attribute version 5.3.2 - Updated file name, Easy View: update to 4.0, HIPS & SIPS: added CARIS 8.0
REM Updated March 2014 for CARIS HIPS 8.1 - mpg
REM Updated May 2015 for NOAA Extended Attribute version 5.3.3. Added NEWOBJ attributes. Added CARIS HIPS 9.0, BDB 4.1, and Plot Composer 5.3 - jjm
REM Updated May 2016 for NOAA Extended Attribute version 5.4. Added HIPS2NOAAHOB.xml and environment.xml. Added CARIS HIPS 9.1, BDB 4.2, and S57 Composer 3.0 - jae
REM Updated March 2017. Removed CARIS HIPS 8.1, HIPS 9.0, and BDB 4.0. Added CARIS HIPS 10.2 and BDB 4.3 - jjm
REM Updated April 2017 for NOAA Extended Attribute version 5.5 - jgd
REM Updated August 2017 for HIPS 10.3 and BDB 4.4 - jgd + jjm
REM Updated October 2017 for HIPS 10.4 -jgd
REM Updated April 2018 for EasyView 4.4 -jjm
REM Updated July 2018 for BDB 5.1.  New environments format and xml files. Added extended attribute "hsdrec". -jgd
REM Updated March 2019. Removed S57 Composer, HIPS 7.1, and BDB 4.1-4.3. Added BDB 5.2 and HIPS 11.1. New environments format and xml files. 
REM Updated April 2019. Added BDB 5.3. Updated version to 2019v1. cjm, jjm, jgd
REM Updated August 2019. Added CHART DISCREPANCY in Special Feature Type attribute in NOAAUnifiedPool.xml. Special request from Mike Davidson (NRB) to improve NRB database management / OCS operations via fleetwide implementation. -jgd
REM Updated October 2019. Added HIPS 11.2 -jgd
REM Updated February 2020. Added "Unknown" <PermittedValue value="701"/> to NATQUA and NATSUR. -jgd 
REM Updated March 2020. Added HIPS 11.3 -jgd
REM Updated May 2020. Added BDB 5.4 - jgd
REM Updated August 2020. Added "Unknown" <PermittedValue value="701"/> to TECSOU. -jgd
REM Updated February 2021. Added BDB 5.5 - jgd
REM Updated October 2022. Updated HIPS2NOAAHOB.  Updated version to 2022v1 - jgd
REM Updated February 2022. Added HIPS 11.4 Updated version to 2022v2 - jgd
REM Updated February 2023. Changed year to 2023. No changes to spec, no new versions added -SHU
REM Updated February 2024. Removed support files associated with versions prior to current approved version. Removed legacy products (old versions, Notebook, Plot Composer). Updated support files to reflect new 2024 HSSD. -Harper Umfress

CLS
ECHO This batch file will copy Version 2024 NOAA CARIS support files from
ECHO C:\CARIS\CARIS_Support_Files_2024v1 folder to the correct CARIS folders on your machine
ECHO.
ECHO The process will only work if you have the support files stored in a 
ECHO C:\CARIS\CARIS_Support_Files_2024v1 folder and CARIS products (except Plot Composer)
ECHO installed in a C:\CARIS or C:\Program Files\CARIS folder.
ECHO.
ECHO Support files are only for HIPS and SIPS 11.4, BDB 5.4 and 5.5, and Easy Viewer 6.1
ECHO If you need support for other versions, you will need to contact NOAA OCS HSTB or manually edit support files.
ECHO.

:StartBatch
Set /P M=Would you like to proceed?  Type y or n and ENTER.
If %M%==y Goto CopyBDB
If %M%==n Goto abort
If %M%==Y Goto CopyBDB
If %M%==N Goto abort
Goto StartBatch

REM BDB Files

:CopyBDB

SET /p M=Copy BDB Files?
If %M%==y goto CopyBDB2
If %M%==n goto CopyEV
If %M%==Y goto CopyBDB2
If %M%==N goto CopyEV
Goto CopyBDB

:CopyBDB2

Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\System_Files_55\*.*" "C:\Program Files\CARIS\BASE Editor\5.5\system"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\Profiles_Pools\*.*" "C:\Program Files\CARIS\BASE Editor\5.5\system\S57Config\system"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\ProductInfo_55\*.*" "C:\Program Files\CARIS\BASE Editor\5.5\modules\support\Compilation2\ProductInfoFiles"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\Symbolization\*.*" "C:\Program Files\CARIS\BASE Editor\5.5\system\S57Config\symbolization\lookup"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\Rule_Files\*.*" "C:\Program Files\CARIS\BASE Editor\5.5\modules\support\Compilation4\Rules"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\BDB\Environment_55\*.*" "C:\ProgramData\CARIS\BASE Editor\5.5\System"

REM Easy View Files

:CopyEV
SET /p M=Copy Easy View Files?
If %M%==y Goto CopyEV2
If %M%==n Goto CopyHIPS
If %M%==Y Goto CopyEV2
If %M%==N Goto CopyHIPS
Goto CopyEV

:CopyEV2
Copy "C:\CARIS\CARIS_Support_Files_2024v1\EasyView\System_Files\*.*" "C:\Program Files\CARIS\Easy View\6.1\system"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\EasyView\Profiles_Pools_ProductInfo\*.*" "C:\Program Files\CARIS\Easy View\6.1\system\S57Config\system"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\EasyView\Symbolization\*.*" "C:\Program Files\CARIS\Easy View\6.1\system\S57Config\symbolization\lookup"

REM HIPS Files

:CopyHIPS
SET /p M=Copy HIPS Files?
If %M%==y Goto CopyHIPS2
If %M%==n Goto abort
If %M%==Y Goto CopyHIPS2
If %M%==N Goto abort
Goto CopyHIPS

:CopyHIPS2
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\System_Files_11_4\*.*" "C:\Program Files\CARIS\HIPS and SIPS\11.4\System"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\Profiles_Pools\*.*" "C:\Program Files\CARIS\HIPS and SIPS\11.4\System\s57Config\system"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\ProductInfo_11\*.*" "C:\Program Files\CARIS\HIPS and SIPS\11.4\modules\support\Compilation2\ProductInfoFiles"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\Symbolization\*.*" "C:\Program Files\CARIS\HIPS and SIPS\11.4\System\s57Config\symbolization\lookup"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\Rule_Files\*.*" "C:\Program Files\CARIS\HIPS and SIPS\11.4\modules\support\Compilation4\Rules"
Copy "C:\CARIS\CARIS_Support_Files_2024v1\HIPS\Grid_Parameters11_4\*.*" "C:\ProgramData\CARIS\HIPS and SIPS\11.4\System"

@ECHO Finished
Pause
Exit
:abort
@ECHO Nothing Copied.
Pause
Exit
:Fini
@ECHO Finished
Pause